searchNodes=[{"doc":"Interface for the message publishing through Rambla. Rambla maintains connection pools with a dynamix supervisor. It might be read from the config or passed as a parameter in a call to Rambla.start_pools/1. The latter expects a keyword list of pools to add, each declared with the name of the worker and the options with the following keys: :type the type of the worker; defaults to :local :name the name of the worker; defaults to the module name :options options to be passed to the worker initialization in :poolboy, like [size: 5, max_overflow: 300] :params arguments to be passed to the worker during initialization","ref":"Rambla.html","title":"Rambla","type":"module"},{"doc":"Publishes the message to the target pool. The message structure depends on the destination. For RabbitMQ is might be whatever, for Smtp it expects to have to:, subject: and body: fields.","ref":"Rambla.html#publish/2","title":"Rambla.publish/2","type":"function"},{"doc":"Starts the pools configured in the config.exs / releases.exs file. This call is equivalent to start_pools(Application.get_env(:rambla, :pools)).","ref":"Rambla.html#start_pools/0","title":"Rambla.start_pools/0","type":"function"},{"doc":"Starts the pools as specified by options (map() or keyword())","ref":"Rambla.html#start_pools/1","title":"Rambla.start_pools/1","type":"function"},{"doc":"The default behaviour for publishers. The common use case would be the module implementing this behaviour opens a connection (and keep it opened,) and publishes messages as needed.","ref":"Rambla.Connection.html","title":"Rambla.Connection","type":"behaviour"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"Rambla.Connection.html#child_spec/1","title":"Rambla.Connection.child_spec/1","type":"function"},{"doc":"Connects to the remote service and returns a connection object back","ref":"Rambla.Connection.html#c:connect/1","title":"Rambla.Connection.connect/1","type":"callback"},{"doc":"Publishes the message to the remote service using connection provided","ref":"Rambla.Connection.html#c:publish/2","title":"Rambla.Connection.publish/2","type":"callback"},{"doc":"Accepts options for the underlying connection (those will be passed to connect/1.)","ref":"Rambla.Connection.html#start_link/1","title":"Rambla.Connection.start_link/1","type":"function"},{"doc":"The response type; contains a status and a response from remote service","ref":"Rambla.Connection.html#t:outcome/0","title":"Rambla.Connection.outcome/0","type":"type"},{"doc":"The connection information","ref":"Rambla.Connection.html#t:t/0","title":"Rambla.Connection.t/0","type":"type"},{"doc":"Default connection implementation for 🐰 Rabbit.","ref":"Rambla.Amqp.html","title":"Rambla.Amqp","type":"module"},{"doc":"Default connection implementation for 🔴 Redis.","ref":"Rambla.Redis.html","title":"Rambla.Redis","type":"module"},{"doc":"Default connection implementation for 📧 SMTP. It expects a message to be a map containing the following fields: :to, :subject, :body and the optional :from that otherwise would be taken from the global settings (releases.mix) from []:rambla, :pools, Rambla.Smtp]. For instance, this call would send an email to email:am@example.com with the respective subject and body. Rambla.publish( Rambla.Smtp, %{to: &quot;am@example.com&quot;, subject: &quot;Hi there&quot;, body: &quot;I ❤ SMTP&quot;} }","ref":"Rambla.Smtp.html","title":"Rambla.Smtp","type":"module"},{"doc":"Base type for all the Rambla exceptions.","ref":"Rambla.Exception.html","title":"Rambla.Exception","type":"module"},{"doc":"Rambla exception contains: reason the string describing the error in human-readable form source usually the type/action this error is originated from info free-style map containig additional information (not displayed by default)","ref":"Rambla.Exception.html#t:t/0","title":"Rambla.Exception.t/0","type":"type"},{"doc":"Rambla Easy publishing to many different targets","ref":"readme.html","title":"Rambla","type":"extras"},{"doc":"def deps do [ {:rambla, &quot;~&gt; 0.3&quot;} ] end","ref":"readme.html#installation","title":"Rambla - Installation","type":"extras"},{"doc":"Rabbit (through Amqp) Redis (through Exredis) Smtp (through :gen_smtp) Slack (through Envío)","ref":"readme.html#supported-back-ends","title":"Rambla - Supported back-ends","type":"extras"},{"doc":"HTTP","ref":"readme.html#coming-soon","title":"Rambla - Coming soon","type":"extras"},{"doc":"https://hexdocs.pm/rambla.","ref":"readme.html#documentation","title":"Rambla - Documentation","type":"extras"}]